@charset "utf-8";

/**********************************************************************/
/*　ハック
/**********************************************************************/

:root{
  --c_primary: #0D5A9C;
}
hr{
  border: none;
  border-bottom: 1px solid #E9E9E9;
  margin: 1.5em 0;
}
@media screen and (max-width: 520px){
	#main{
		font-size: clamp(1.2rem, 3.7vw, 1.6rem) !important;
	}
  hr{
    margin: 1em 0;
  }
}

/**********************************************************************/
/* ヒーロ
/**********************************************************************/

section.hero{
  background-image: url("../img/member/hero_bg.png");
  background-position: right center;
  background-size: 59.479vw auto;
}

/**********************************************************************/
/* メンバー
/**********************************************************************/

section.member{
  padding: 3em 0;
}
@media screen and (max-width: 520px){
  section.member{
    padding: 3em 4vw;
  }
}

/**********************************************************************/
/* 絞り込み部分
/**********************************************************************/

section.member .search .control{
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-template-rows: auto auto;
  grid-template-areas: 
  "filter sort"
  "terms terms";
}
section.member .search .control .filter{
  grid-area: filter;
}
section.member .search .control .sort{
  grid-area: sort;
}
section.member .search .control .terms{
  grid-area: terms;
}
@media screen and (max-width: 520px){
  section.member .search .control{
    grid-template-columns: 1fr;
    grid-template-rows: auto auto auto;
    grid-template-areas: 
    "filter"
    "terms"
    "sort";
    gap: 0;
    font-size: 4.2vw;
  }
}

/*--------------------------------------------------------------------*/
/* filter */

section.member .search .filter{
  padding-left: 2.5em;
  background-image: url("../img/member/icon_filter.svg");
  background-repeat: no-repeat;
  background-position: left center;
  background-size: 1.1em auto;
  gap: 1em;
}
section.member .search .filter [data-search]{
  padding-right: 1.25em;
  background-image: url("../img/member/icon_arrow.svg");
  background-repeat: no-repeat;
  background-position: right top 60%;
  background-size: auto;
  white-space: nowrap;

  cursor: pointer;
  transition: opacity .3s;
}
section.member .search .filter [data-search]:hover{
  opacity: .6;
  text-decoration: underline;
}
@media screen and (max-width: 520px){
  section.member .search .filter{
    padding-block: .5em;
    margin-bottom: .5em;
    border-bottom: 1px solid #E9E9E9;
    background-image: none;
    position: relative;
    padding-left: 0;
  }
  section.member [data-search="entire"]{
    position: relative;
    padding-left: 1.5em;
    flex: 1;
  }
  section.member .search .filter [data-search="entire"] .plus{
    width: 18px;
    height: 18px;
    background-color: var(--c_primary);
    position: absolute;
    left: 0;
    top: .5em;
    border-radius: 50%;
  }
  section.member .search .filter [data-search="entire"] .plus::before,
  section.member .search .filter [data-search="entire"] .plus::after{
    content: "";
    display: block;
    width: 10px;
    height: 2px;
    background-color: #fff;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    transition: transform .3s;
  }
  section.member .search .filter [data-search="entire"] .plus::after{
    transform: translate(-50%, -50%) rotate(90deg);
  }
  section.member .search .filter [data-search="entire"]._active .plus::after{
    transform: translate(-50%, -50%) rotate(360deg);
  }
  section.member .search .filter [data-search]{
    padding-right: 0;
    background-image: none;
  }
}

/*--------------------------------------------------------------------*/
/* sort */

section.member .search .sort{
  gap: 1em;
  font-size: 90%;
}
section.member .search .sort .switchcase{
  display: flex;
  gap: 1em;
}
section.member .search .sort [data-sort]{
  padding-left: 1.35em;
  background-image: url("../img/member/icon_sort_atoz.svg");
  background-repeat: no-repeat;
  background-position: left center;
  background-size: 1em auto;
  cursor: pointer;
}
section.member .search .sort [data-sort]:hover{
  opacity: .6;
  text-decoration: underline;
}
@media screen and (max-width: 520px){
  section.member .search .sort{
    justify-content: flex-start;
    font-size: 80%;
  }
  section.member .search .sort .label{
    display: none;
  }
  section.member .search .sort .switchcase .switch{
    display: inline-block;
  }
}

/*--------------------------------------------------------------------*/
/* terms */

section.member .search .terms .group{
  padding: 1.5em 2.5em;
  background-color: #F6F6F6;
  margin-top: 1em;
}
section.member .search .terms .group._open{
  display: block;
}
section.member .search .terms .group .box{
  display: flex;
  flex-wrap: wrap;
  font-weight: 500;
  gap: 1em 2em;
  line-height: 1;
  white-space: nowrap;
}
section.member .search .terms .group .box .term{
  white-space: nowrap;
  cursor: pointer;
}
section.member .search .terms .group .box .term:hover{
  color:#0098e3;
}
section.member .search .terms .group .box .term._active{
  font-weight: bolder;
  color: var(--c_primary);
}
@media screen and (max-width: 520px){
  section.member .search .terms > *:last-child{
    margin-bottom: 1.5em;
  }
  section.member .search .terms .group{
    display: block;
    padding: .5em 0 1.5em .5em;
    background-color: transparent;
    gap: 1em 1em;
    font-size: 3.7vw;
    margin-top: 0;
  }
  section.member .search .terms .group .index{
    font-weight: bold;
    margin-bottom: .5em;
    font-size: 110%;
  }
  section.member .search .terms .group + .group{
    padding-top: .5em;
  }
}

/**********************************************************************/
/* メンバーリスト
/**********************************************************************/

section.member .bodying .total{
  margin-bottom: 1.5em;
}
section.member .bodying .list{
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr;
  gap: 1.5em;
}
section.member .bodying .list .thumbnail{
  width: 100%;
  height: auto;
  aspect-ratio: 280 / 200;
  margin-bottom: .75em;
}
section.member .bodying .list .thumbnail img{
  object-fit: cover;
  width: 100%;
  height: 100%;
}
section.member .bodying .list .info{
  padding-inline: .25em;
}
@media screen and (max-width: 520px){
  section.member .bodying .total{
    margin-bottom: .5em;
  }
  section.member .bodying .list{
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 1.5em 1em;
  }
}